"use strict";
/*!
 * ContractCase Core HTTP Plugin
 * Copyright(c) 2022-2024 Timothy Jones (TLJ)
 * BSD-3-Clause license
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
const case_core_plugin_function_dsl_1 = require("@contract-case/case-core-plugin-function-dsl");
const FunctionArgumentsMatcher_1 = require("./matchers/FunctionArgumentsMatcher");
const mocks_1 = require("./mocks");
const description_1 = require("./description");
__exportStar(require("./matchers"), exports);
__exportStar(require("./mocks"), exports);
const CoreHttpPlugin = {
    description: description_1.description,
    matcherExecutors: {
        [case_core_plugin_function_dsl_1.FUNCTION_ARGUMENTS_MATCHER_TYPE]: FunctionArgumentsMatcher_1.FunctionArgumentMatcherExecutor,
    },
    setupMocks: {
        [case_core_plugin_function_dsl_1.MOCK_FUNCTION_EXECUTION]: mocks_1.setupMockFunctionExecution,
        [case_core_plugin_function_dsl_1.MOCK_FUNCTION_CALLER]: mocks_1.setupMockFunctionCaller,
    },
};
exports.default = CoreHttpPlugin;
//# sourceMappingURL=index.js.map